Bug 239157 - (perl-Net-Pcap) Review Request: perl-Net-Pcap - Interface to pcap LBL packet capture library
Review Request: perl-Net-Pcap - Interface to pcap LBL packet capture library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: perl-Net-Write
  Show dependency treegraph
 
Reported: 2007-05-05 09:21 EDT by Sindre Pedersen Bjørdal
Modified: 2015-01-14 11:29 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-Net-Pcap-0.17-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-01 14:30:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cweyl: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2007-05-05 09:21:26 EDT
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-Pcap.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-Pcap-0.14-1.fc7.src.rpm

Description: 
perl-Net-Pcap provides Perl bindings to the LBL pcap(3) library
Comment 1 Chris Weyl 2007-05-08 02:11:52 EDT
License tag is generally written as "GPL or Artistic", by convention.

Missing br's on:
    perl(ExtUtils::MakeMaker)
    perl(Test::More)

As many of the tests skip themselves ("must be run as root"), I'd recommend
adding t/ to %doc.  (If you do this, rpmlint will generate an ignorable
"perl-Net-Pcap doc-file-dependency perl(Socket)" warning.)

All tests pass, but:

t/10-fileno.........ok                                                       
        1/21 unexpectedly succeeded

Why is this test not failing, as it should?  Is this a real problem or did
upstream just forget to remove the "TODO" designation to this test?

This package needs to own %{perl_vendorarch}/Net.  %{perl_vendorarch}/Net/* in
%files should just be %{perl_vendorarch}/Net.

So, at the very least, we need to add the br's, figure out why that test isn't
failing, change license to "GPL or Artistic", and correct %files.

+ source files match upstream:
80a4b62911cded1a011b897f735d445e  Net-Pcap-0.14.tar.gz
80a4b62911cded1a011b897f735d445e  ../Net-Pcap-0.14.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
O license field matches the actual license.
+ license is open source-compatible.  License text not included upstream.
+ latest GA version is being packaged.
X BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
+ final provides and requires are sane:
 ** perl-Net-Pcap-0.14-1.fc6.x86_64.rpm
 == rpmlint
 == provides
 Pcap.so()(64bit)  
 perl(Net::Pcap) = 0.14
 perl-Net-Pcap = 0.14-1.fc6
 == requires
 /usr/bin/perl  
 libc.so.6()(64bit)  
 libc.so.6(GLIBC_2.2.5)(64bit)  
 libpcap.so.0.9.4()(64bit)  
 perl(:MODULE_COMPAT_5.8.8)  
 perl(AutoLoader)  
 perl(Carp)  
 perl(Exporter)  
 perl(IO::Interface)  
 perl(IO::Socket)  
 perl(Net::Pcap)  
 perl(Sys::Hostname)  
 perl(strict)  
 rtld(GNU_HASH)  
 ** perl-Net-Pcap-debuginfo-0.14-1.fc6.x86_64.rpm
 == rpmlint
 == provides
 Pcap.so.debug()(64bit)  
 perl-Net-Pcap-debuginfo = 0.14-1.fc6
 == requires
+ %check is present and all tests pass:
 All tests successful, 11 tests and 83 subtests skipped.
 Files=24, Tests=500,  3 wallclock secs ( 1.44 cusr +  0.57 csys =  2.01 CPU)
+ no shared libraries are added to the regular linker search paths.
X owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
Comment 2 Sindre Pedersen Bjørdal 2007-05-10 07:25:04 EDT
Contacted upstream. 

"
First, and just to be clear: I'm just the current maintainer of  
Net::Pcap, I didn't wrote most of the XS code so there may be some  
bugs and it may be hard for me to correct them as I barely speak XS.  
What I really did with Net::Pcap was to improve the documentation,  
rewrite a full test suite, and implement the recent libpcap features.

The unexpected success is quite expected: the tests are marked as  
TODO because the results don't always correspond to what I expect (or  
strangely produce good results where I expected them not to). AFAICT,  
these small discrepancies are present since a very long time but only  
appear now because I wrote the code to fully test Net::Pcap. As  
nobody have ever shown up asking for this, this means that either no  
one has noticed or that no one is using Net::Pcap :-)

To sum up, unless you have some copious spare time to spend chasing  
this bug, I'd suggest to simply ignore it for now.

Don't hesitate to ask me if you have other questions or tell how I  
can ease your packaging work.


Regards

-- 
Sébastien Aperghis-Tramoni"
Comment 3 Chris Weyl 2007-05-10 20:16:41 EDT
Works by me (though it would make me nervous if I were to be using this
module...).  Now we only have the remaining issues to address.
Comment 4 Sindre Pedersen Bjørdal 2007-05-11 10:34:09 EDT
Updated: 

- Add missing BR
- Chance License to GPL or Artistic
- Update %%files
- Include t/ in %%doc

Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-Pcap.spec
SRPM URL:
http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-Pcap-0.14-2.fc7.src.rpm
Comment 5 Chris Weyl 2007-05-11 11:20:48 EDT
APPROVED
Comment 6 Sindre Pedersen Bjørdal 2007-05-11 11:29:02 EDT
New Package CVS Request
=======================
Package Name: perl-Net-Pcap
Short Description: Interface to pcap LBL packet capture library
Owners: foolish@guezz.net
Branches: FC-5 FC-6 EL-4 EL-5
InitialCC: jaboutbo@redhat.com
Comment 7 Sindre Pedersen Bjørdal 2007-05-30 19:19:09 EDT
Seems the F7 branch wasn't created during merge, please add it.

New Package CVS Request
=======================
Package Name: perl-Net-Pcap
Short Description: Interface to pcap LBL packet capture library
Owners: foolish@guezz.net
Branches: F-7
Comment 8 Jason Tibbitts 2007-06-01 14:30:26 EDT
Done.
Comment 9 Iain Arnell 2012-01-15 04:27:13 EST
Package Change Request
======================
Package Name: perl-Net-Pcap
InitialCC: perl-sig

Please add perl-sig to this package with watchbugzilla and watchcommits bits on all fedora branches.
Comment 10 Jon Ciesla 2012-01-15 17:05:58 EST
Done.
Comment 11 David Dick 2014-11-26 14:49:07 EST
Hi Iain/Petr/Sindre,

I need this package built for EPEL7.  If you don't want to build it, i am happy to do so myself.
Comment 12 Petr Šabata 2014-11-27 03:35:43 EST
(In reply to David Dick from comment #11)
> Hi Iain/Petr/Sindre,
> 
> I need this package built for EPEL7.  If you don't want to build it, i am
> happy to do so myself.

Feel free to do so, David.
You can also take ownership of the el5 and el6 branches while you're at it ;)
Comment 13 David Dick 2014-11-27 04:06:55 EST
I'll take el6, but el5 is a step too far for me :)

Package Change Request
======================
Package Name: perl-Net-Pcap
New Branches: epel7 el6
Owners: ddick
InitialCC: perl-sig
Comment 14 Petr Šabata 2014-11-27 04:40:17 EST
The el6 branch already exists but is orphaned -- you can just pick it up.
Comment 15 David Dick 2014-11-27 04:53:10 EST
Always something new to learn. :)

Package Change Request
======================
Package Name: perl-Net-Pcap
New Branches: epel7
Owners: ddick
InitialCC: perl-sig
Comment 16 Jon Ciesla 2014-12-01 08:08:30 EST
Git done (by process-git-requests).
Comment 17 Fedora Update System 2014-12-13 05:53:33 EST
perl-Net-Pcap-0.17-7.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Net-Pcap-0.17-7.el7
Comment 18 Fedora Update System 2015-01-14 11:29:34 EST
perl-Net-Pcap-0.17-7.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.